
############# Target type (Debug/Release) ##################
############################################################
CPPCompileDebug=-g
CPPCompileRelease=-O
LinkDebug=-g
LinkRelease=-O

ConfigurationCPPCompileSwitches=   -I. -I$(OMROOT) -I$(OMROOT)/LangCpp -I$(OMROOT)/LangCpp/oxf -D_OM_NO_IOSTREAM -DCYGWIN $(INST_FLAGS) $(INCLUDE_PATH) $(INST_INCLUDES) $(CPPCompileDebug) -c

#########################################
###### Predefined macros ################
RM=/bin/rm -rf
INCLUDE_QUALIFIER=-I
CC=gcc
LIB_CMD=ar
LINK_CMD=g++
LIB_FLAGS=rvu
LINK_FLAGS= $(LinkDebug)  

#########################################
####### Context macros ##################

FLAGSFILE=
RULESFILE=
OMROOT="D:/Rhapsody6.1/Share"

CPP_EXT=.cpp
H_EXT=.h
OBJ_EXT=.o
EXE_EXT=.exe
LIB_EXT=.a

INSTRUMENTATION=Animation

TIME_MODEL=Simulated

TARGET_TYPE=Executable

TARGET_NAME=mainComponent

all : $(TARGET_NAME)$(EXE_EXT) mainComponent.mak

TARGET_MAIN=MainmainComponent

LIBS=

INCLUDE_PATH= \
  $(INCLUDE_QUALIFIER)$(OMROOT)/LangCpp/osconfig/Cygwin

ADDITIONAL_OBJS=

OBJS= \
  Network.o \
  Scheduler.o \
  iRouterScheduler1.o \
  iSchedulerRouter3.o \
  Router.o \
  Rip.o




#########################################
####### Predefined macros ###############
$(OBJS) :  $(INST_LIBS) $(OXF_LIBS)

ifeq ($(INSTRUMENTATION),Animation)

INST_FLAGS=-DOMANIMATOR -D__USE_W32_SOCKETS
INST_INCLUDES=-I$(OMROOT)/LangCpp/aom -I$(OMROOT)/LangCpp/tom
INST_LIBS= $(OMROOT)/LangCpp/lib/cygwinaomanim$(LIB_EXT)
OXF_LIBS=$(OMROOT)/LangCpp/lib/cygwinoxfinst$(LIB_EXT) $(OMROOT)/LangCpp/lib/cygwinomcomappl$(LIB_EXT)
SOCK_LIB=-lws2_32 

else
ifeq ($(INSTRUMENTATION),Tracing)

INST_FLAGS=-DOMTRACER
INST_INCLUDES=-I$(OMROOT)/LangCpp/aom -I$(OMROOT)/LangCpp/tom
INST_LIBS=$(OMROOT)/LangCpp/lib/cygwintomtrace$(LIB_EXT) $(OMROOT)/LangCpp/lib/cygwinaomtrace$(LIB_EXT)
OXF_LIBS= $(OMROOT)/LangCpp/lib/cygwinoxfinst$(LIB_EXT) $(OMROOT)/LangCpp/lib/cygwinomcomappl$(LIB_EXT)
SOCK_LIB=-lws2_32 

else
ifeq ($(INSTRUMENTATION),None)

INST_FLAGS=
INST_INCLUDES=
INST_LIBS=
OXF_LIBS=$(OMROOT)/LangCpp/lib/cygwinoxf$(LIB_EXT)
SOCK_LIB=-lws2_32

else
	@echo An invalid Instrumentation $(INSTRUMENTATION) is specified.
	exit
endif
endif
endif

.SUFFIXES: $(CPP_EXT)

#####################################################################
##################### Context dependencies and commands #############






Network.o : Network.cpp Network.h    Rip.h Scheduler.h Router.h iRouterScheduler1.h iSchedulerRouter3.h 
	@echo Compiling Network.cpp
	@$(CC) $(ConfigurationCPPCompileSwitches)  -o Network.o Network.cpp




Scheduler.o : Scheduler.cpp Scheduler.h    Rip.h iSchedulerRouter3.h iRouterScheduler1.h 
	@echo Compiling Scheduler.cpp
	@$(CC) $(ConfigurationCPPCompileSwitches)  -o Scheduler.o Scheduler.cpp




iRouterScheduler1.o : iRouterScheduler1.cpp iRouterScheduler1.h    Rip.h 
	@echo Compiling iRouterScheduler1.cpp
	@$(CC) $(ConfigurationCPPCompileSwitches)  -o iRouterScheduler1.o iRouterScheduler1.cpp




iSchedulerRouter3.o : iSchedulerRouter3.cpp iSchedulerRouter3.h    Rip.h 
	@echo Compiling iSchedulerRouter3.cpp
	@$(CC) $(ConfigurationCPPCompileSwitches)  -o iSchedulerRouter3.o iSchedulerRouter3.cpp




Router.o : Router.cpp Router.h    Rip.h iRouterScheduler1.h iSchedulerRouter3.h 
	@echo Compiling Router.cpp
	@$(CC) $(ConfigurationCPPCompileSwitches)  -o Router.o Router.cpp




Rip.o : Rip.cpp Rip.h    Router.h Scheduler.h iSchedulerRouter3.h iRouterScheduler1.h Network.h 
	@echo Compiling Rip.cpp
	@$(CC) $(ConfigurationCPPCompileSwitches)  -o Rip.o Rip.cpp







$(TARGET_MAIN)$(OBJ_EXT) : $(TARGET_MAIN)$(CPP_EXT) $(OBJS)
	@echo Compiling $(TARGET_MAIN)$(CPP_EXT)
	@$(CC) $(ConfigurationCPPCompileSwitches) -o  $(TARGET_MAIN)$(OBJ_EXT) $(TARGET_MAIN)$(CPP_EXT)

####################################################################
############## Predefined Instructions #############################
$(TARGET_NAME)$(EXE_EXT): $(OBJS) $(ADDITIONAL_OBJS) $(TARGET_MAIN)$(OBJ_EXT) mainComponent.mak
	@echo Linking $(TARGET_NAME)$(EXE_EXT)
	@$(LINK_CMD)  $(TARGET_MAIN)$(OBJ_EXT) $(OBJS) $(ADDITIONAL_OBJS) \
	$(LIBS) \
	$(INST_LIBS) \
	$(OXF_LIBS) \
	$(INST_LIBS) \
	$(SOCK_LIB) \
	$(LINK_FLAGS) -o $(TARGET_NAME)$(EXE_EXT)

$(TARGET_NAME)$(LIB_EXT) : $(OBJS) $(ADDITIONAL_OBJS) mainComponent.mak
	@echo Building library $@
	@$(LIB_CMD) $(LIB_FLAGS) $(TARGET_NAME)$(LIB_EXT) $(OBJS) $(ADDITIONAL_OBJS)



clean:
	@echo Cleanup
	$(RM) Network.o
	$(RM) Scheduler.o
	$(RM) iRouterScheduler1.o
	$(RM) iSchedulerRouter3.o
	$(RM) Router.o
	$(RM) Rip.o
	$(RM) $(TARGET_MAIN)$(OBJ_EXT) $(ADDITIONAL_OBJS)
	$(RM) $(TARGET_NAME)$(LIB_EXT)
	$(RM) $(TARGET_NAME)$(EXE_EXT)

